Tweet'ler

Gönderiyi getir

GET /v1/tweets/{tweet_id} reads 1 kredi

Bir gönderi ve yanıtları. Kimlik, gönderi bağlantısındaki /status/ sonrasındaki sayıdır: https://x.com/cz_binance/status/2107511965006622972 içindeki 2107511965006622972. Yeniden gönderi asıl gönderiyi rt_of içinde, alıntı ise alıntılanan gönderiyi quoted içinde taşır; her ikisi de tam metin ve medyayla gelir. Bunların tam ayrıntısı da (örneğin sayılar) gerekiyorsa kimlikleriyle ayrıca isteyin.

Sorgu parametreleri

Sorgu parametresiTürAnlamı
replies_limitint 0–100 = 20Kaç yanıt dahil edileceği

yanıt

Gönderi ve ona verilmiş en fazla replies_limit yanıt. Sayısal olmayan bir kimlik 422 döner. Alan alan: Tweet (okuma).

Durum: 200, 404, 422, 429, 502

istek
curl https://api.xsignalfeed.com/v1/tweets/2099875660290228642?replies_limit=2 \
  -H "Authorization: Bearer xsf_your_key"
yanıt · 200 / 404
{
  "tweet": {
    "id": 2099875660290228642,
    "created_ms": 1789484345873,
    "user_id": 44196397,
    "user": "elonmusk",
    "name": "Elon Musk",
    "text": "Live demo of building a company with @Grok @Bot!",
    "lang": "en",
    "reply_to": null,
    "reply_to_status_id": null,
    "reply_to_user_id": null,
    "conversation_id": "2099875660290228642",
    "is_rt": false,
    "rt_of": null,
    "is_quote": true,
    "quoted": {
      "id": "2099871914655424894",
      "user": "poteto",
      "name": "lauren",
      "user_id": "2832427459",
      "text": "going live in about an hour!\n\n…",
      "media": [],
      "media_items": [],
      "created_ms": 1789483452844,
      "url": "https://x.com/poteto/status/2099871914655424894"
    },
    "media": [],
    "media_items": [],
    "urls": [],
    "views": "28720489",
    "counts": {
      "reply": 2323,
      "rt": 2244,
      "like": 22995,
      "quote": 177,
      "bookmark": 3136
    },
    "article": null,
    "edit_of": null,
    "edit_ids": [
      2099875660290228642
    ],
    "source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>"
  },
  "replies": [
    {
      "id": 2099876100000000000,
      "user": "someone",
      "text": "…",
      "reply_to": "elonmusk",
      "reply_to_status_id": "2099875660290228642",
      "…": "…"
    }
  ]
}